/**
 * JaDOrT: JASMINe Deployment Orchestration Tool
 * Copyright (C) 2008 Bull S.A.S.
 * Copyright (C) 2008 France Telecom R&D
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JMXConnectorVO.as 1503 2008-06-23 13:36:10Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.jadort.client.flex.vo {
    
    import com.adobe.cairngorm.vo.IValueObject;
    
    [RemoteClass(alias="org.ow2.jasmine.jadort.service.entities.JMXConnectorBean")]
    [Bindable]
    public class JMXConnectorVO implements IValueObject {
        
        private var jmxConnectorUrl:String;
        private var jmxPassword:String;
        private var jmxUsername:String;
    
        public function JMXConnectorVO() {
            super();
        }
        
        public  function get connectorUrl() : String {
            return jmxConnectorUrl;
        }
        
        public function get password() :String {
            return jmxPassword;
        }
        
        public function  get username() :  String {
            return jmxUsername;
        }
        
        public  function set connectorUrl(connectorUrl:String) : void {
            this.jmxConnectorUrl = connectorUrl;
        }
        
        public function set password(jmxPassword:String) :void {
            this.jmxPassword = jmxPassword;
        }
        
        public function  set username(jmxUsername:String) :  void {
            this.jmxUsername = jmxUsername;
        }
    }
}